=== d-i/source/console-setup/debian/changelog ===
console-setup (1.13ubuntu9) feisty; urgency=low

  * Keyboard/kbdcompiler: Fix keymap reduction not to try to express keymap
    A in terms of keymap B when B includes keys not mapped by A, fixing a
    number of incorrectly-reduced keymaps (LP: #74375).
  * Keyboard/kbdcompiler: Update handling of jp to match
    debian/config.proto.
  * Keyboard/keymaptree.use: Remove jp; we cannot detect it correctly
    without further intelligence, as it's designed for jp106 keyboard
    models.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 10:06:05 +0000

console-setup (1.13ubuntu8) feisty; urgency=low

  * Fix handling of commas in layout and variant names.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Mar 2007 20:05:00 +0000

console-setup (1.13ubuntu7) feisty; urgency=low

  * Add lt to list of non-Latin keymaps (LP: #38931).
  * Map Caps Lock to Shift Lock for Turkish layouts.
  * Build keymap tree from MyKeyboardNames.pl rather than KeyboardNames.pl.
  * Add fr:oss to keymap tree.
  * Set default variant for French to oss (LP: #89835).
  * Remove Keyboard/*.tree on clean.
  * Fix six files in debian/ that were supposed to be symlinks.
  * Move console-setup-udeb's post-base-installer script to be a
    base-installer script instead, so that console-setup will be configured
    properly along with the initramfs during debootstrap.
  * Set Maintainer to me.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 12:09:57 +0000

console-setup (1.13ubuntu6) feisty; urgency=low

  * Set keymap and font in the initramfs if possible. Setting these as early
    as possible is a good thing; we can't set up the font correctly once
    usplash is running; and setting up the font between usplash and X
    requires an ugly mode switch.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jan 2007 14:21:24 +0000

console-setup (1.13ubuntu5) feisty; urgency=low

  * Add a --save-only option to setupcon, to save the keyboard/font on the
    root filesystem but not actually tell the kernel to set it up.
  * Back out part of setup-console-under-usplash changes: attempts to change
    the font must be guarded against being run while on an X display or
    while usplash is running, because some kernel console drivers (at least
    vgacon) are fundamentally unable to change the font only on some virtual
    consoles, and will corrupt video memory if you try (LP: #73955). We now
    use setupcon --save-only to make sure the font is available on the root
    filesystem for the next boot but don't load it immediately.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jan 2007 20:08:33 +0000

console-setup (1.13ubuntu4) feisty; urgency=low

  * Include ro(std) in keymap tree, after talking with Eddy Petrişor.
  * Disable workaround in ckbcomp for the kernel not applying Caps Lock to
    non-ASCII letters; the cure is worse than the disease because it makes
    Caps Lock equivalent to Shift Lock (LP: #69725).
  * Install MyKeyboardNames.pl (built from /usr/share/X11/xkb) rather than
    KeyboardNames.pl (built from the out-of-date copy in Keyboard/ckb) as
    /usr/share/console-setup/KeyboardNames.pl (LP: #71864).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Jan 2007 14:15:04 +0000

console-setup (1.13ubuntu3) feisty; urgency=low

  * Remove ch(fr) from keymap tree again; it's not distinguishable from ch
    without checking shift key state, which keymapper currently doesn't do.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Nov 2006 11:28:48 +0000

console-setup (1.13ubuntu2) feisty; urgency=low

  * Make Keyboard/keymaptree executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Nov 2006 20:09:22 +0000

console-setup (1.13ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Ship KeyboardNames.pl and kbdnames-maker in /usr/share/console-setup.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Fix default layout for Bosnian and default variant for Hindi.
    - Set default charmap for d-i to UTF-8.
    - Remove unhelpful defaults for several questions.
    - Adjust the default keyboard model for Brazilian and Japanese layouts.
    - Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
      console-setup/variantcode, console-setup/optionscode, and
      console-setup/fontsize.
    - Use jp(latin),jp rather than us,jp by default for Japanese.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Skip now-unnecessary console check in init scripts.
    - Fix up font face and size on upgrading from old versions in Edgy.
    - Add a few bits of installer integration to console-setup-udeb borrowed
      from kbd-chooser.
    - console-setup Depends: perl; something in ckbcomp is causing perl to
      'use utf8' implicitly, and some of the necessary modules aren't in
      perl-base.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
  * Restore udeb generation.

  * Map fr_CH to ch(fr) (Swiss French).
  * Include ch(fr) in keymap tree.
  * Fix codeset question priority for Esperanto.
  * Remove X and usplash checks in keyboard-setup and console-setup init
    scripts, since neither are needed following the fix in console-setup
    1.7ubuntu19.
  * Allow setupcon to be run on install again, for the same reason.
  * Automatically save the font and keymap to /etc in
    /etc/init.d/console-setup if it isn't being run from init; this allows

