=== d-i/source/localechooser/debian/changelog ===
localechooser (1.37ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 10:41:47 +0000

localechooser (1.37) unstable; urgency=low

  [ Christian Perrier ]
  * Fix default for shortlists from locale preseeding. Closes: #411082.
  * Change the localized name for Finnish to "Suomi". Closes: #410354

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 21 Feb 2007 14:19:36 +0100

localechooser (1.36) unstable; urgency=low

  * Parameter for hands-off installs has been changed to auto-install/enable
    for consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:07:14 +0100

localechooser (1.35) unstable; urgency=low

  [ Christian Perrier ]
  * Change localized name for Belarusian on request of translators.
  * Disable the installation of localization-config as it is not ready for
    production use.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:44:21 +0100

localechooser (1.34) unstable; urgency=low

  * Add country names in English to the shortlists to ensure we don't display
    only country codes if translations are unavailable. English country names
    go in the Choices field; the Choices-C field is used for the country
    codes. Also put the default for the shortlists in a general Default field,
    instead of setting a language-specific default. Closes: #396109.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:17:05 +0100

localechooser (1.33ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:34:14 +0000

localechooser (1.33) unstable; urgency=low

  * Switch default font used in graphical installer based on selected
    language.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:40:46 +0100

localechooser (1.32) unstable; urgency=low

  [ Colin Watson ]
  * If there's no default country for the selected language, leave the
    default for countrychooser/country-name alone.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Tue,  5 Dec 2006 18:47:54 +0100

localechooser (1.31) unstable; urgency=low

  [ Christian Perrier ]
  * Re-activate Georgian after it reached 100% again
  * Activate Malayalam

  [ Colin Watson ]
  * Fix check for selected language when trying to display "no translations
    available" template.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovacic

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 08:12:21 +0100

localechooser (1.30ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.

