=== debian/changelog ===
oem-config (1.13) feisty; urgency=low

  * Display error dialogs on user-setup errors (LP: #94913).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 11:38:22 +0100

oem-config (1.12) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Force Qt4 frontend to use Plastique instead of the default Motif style.
  * Add copyright, license and bug contact information.

  [ Colin Watson ]
  * Update other copyright notices.
  * Automatic update of included source packages: console-setup 1.13ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 09:45:21 +0000

oem-config (1.11) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Add missing 'import os' to oem-config.
  * Stop using xsetroot in oem-config-dm for KDE, as the KDE frontend now
    sets its own wallpaper.

  [ Colin Watson ]
  * Automatic update of included source packages: user-setup 1.8ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 11:41:01 +0000

oem-config (1.10) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Make oem-config-kde depend on python-qt4, not python-kde3.

  [ Colin Watson ]
  * Don't install e-map.defs; it's not all that important and it causes a
    conflict with ubiquity-frontend-gtk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 12:23:51 +0000

oem-config (1.9) feisty; urgency=low

  [ Colin Watson ]
  * Install copyright and changelog files in Architecture: all packages too.
  * Add a 'debian/rules update-local' target to allow updating d-i/source/
    without updating debian/changelog, which is sometimes convenient for
    local hacking.
  * Make OEM_CONFIG_DEBUG=1 imply DEBCONF_DEBUG='developer|filter' for ease
    of debugging.
  * Add a --debug option, equivalent to setting OEM_CONFIG_DEBUG=1.
  * Add timezone widget from ubiquity.
  * Update language, timezone, and keyboard handling code from ubiquity.
  * Move the timezone step before the keyboard step.
  * Apply language, timezone, and keyboard changes at the end of oem-config
    rather than on the fly.
  * Depend on a version of console-setup at least as new as the one in our
    source tree.
  * Track console-setup 1.13ubuntu4 changes by generating and using
    MyKeyboardNames.pl based on xkb-data, which is more up to date than
    KeyboardNames.pl.
  * Stop the user page spreading out in an ugly manner now that the pages
    are bigger. This does result in an unpleasant amount of empty space; the
    page needs a redesign to cope with this.
  * Activate the Forward button when Enter is pressed in any entry field on
    the user page.
  * Leave the UI up until we've finished applying changes; we now have to
    regenerate the initramfs (due to console-setup changes) and it takes a
    while.
  * Send SIGKILL to the window manager if it fails to exit within a second
    of receiving SIGTERM.
  * Automatic update of included source packages: console-setup 1.13ubuntu8,
    localechooser 1.37ubuntu1, tzsetup 1:0.14, user-setup 1.8ubuntu1.

  [ Anirudh Ramesh ]
  * Port KDE frontend to Qt 4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Mar 2007 15:53:32 +0000
